Name:           waifu2x-converter-cpp
Version:        5.3.1
Release:        2%{?dist}
Summary:        Image Super-Resolution for Anime-style art using OpenCL and OpenCV

License:        BSD and MIT
URL:            https://github.com/DeadSix27/waifu2x-converter-cpp
Source0:        %url/archive/v%{version}/%{name}-%{version}.tar.gz

# Add soname versioning
Patch0:         waifu2x-converter-cpp-5.2-set_soversion.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ocl-icd-devel
BuildRequires:  opencl-headers
BuildRequires:  opencv-devel
Recommends:     beignet
Recommends:     mesa-libOpenCL

Provides:       bundled(picojson)
Provides:       bundled(tclap)


%description
Image Super-Resolution for Anime-style art using OpenCL and OpenCV.

This is a reimplementation of waifu2x (original) converter function,
in C++, using OpenCV.


%package        devel
Summary:        Development files for waifu2x-converter-cpp
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for waifu2x-converter-cpp.


%prep
%autosetup -p1


%build
mkdir _build && cd _build
%cmake3 -DINSTALL_MODELS=true ..
%make_build


%install
cd _build
%make_install


%files
%license LICENSE include/picojson_LICENSE.txt include/tclap/tclap_LICEENSE.txt
%doc README.md
%{_bindir}/waifu2x-converter-cpp
%{_libdir}/libw2xc.so.1*
%{_datadir}/waifu2x-converter-cpp


%files devel
%{_includedir}/w2xconv.h
%{_libdir}/libw2xc.so


%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 16 21:56:01 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 5.3.1-1
- Release 5.3.1 (#1725442)

* Tue Mar 26 16:39:11 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 5.2.4-1
- Release 5.2.4 (#1692338)

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 5.2.3-1
- Release 5.2.3 (#1689455)

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 13 2018 Robert-André Mauchin <zebob.m@gmail.com> - 5.2-1
- Initial release
